---
- include: 00-centos-os-main.yml
  tags: centos
  when: ansible_distribution == 'CentOS' 

- include: 00-ubuntu-os-main.yml
  tags: ubuntu
  when: ansible_distribution == 'Ubuntu'

- include: 01-centos-os-docker.yml
  tags: cent-docker
  when: ansible_distribution == 'CentOS' and runtime == 'docker'

- include: 01-centos-os-containerd.yml
  tags: cent-containerd
  when: ansible_distribution == 'CentOS' and runtime == 'containerd'

- include: 01-centos-os-crio.yml
  tags: cent-crio
  when: ansible_distribution == 'CentOS' and runtime == 'crio'

- include: 01-ubuntu-os-docker.yml
  tags: ubuntu-docker
  when: ansible_distribution == 'Ubuntu' and runtime == 'docker'
  
- include: 01-ubuntu-os-containerd.yml
  tags: ubuntu-containerd
  when: ansible_distribution == 'Ubuntu' and runtime == 'containerd'

- include: 01-ubuntu-os-crio.yml
  tags: ubuntu-crio
  when: ansible_distribution == 'Ubuntu' and runtime == 'crio'

- include: 02-k8s-main.yml
  tags: k8s-main
